- Home
- API Enriched
- Observability
- observability
- GET HTTP Monitor Health.
GET HTTP Monitor Health.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/http-monitors-health';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"include_latency":true,"monitor_names":["example"],"namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/http-monitors-health \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "include_latency": true, "monitor_names": [ "example" ], "namespace": "example" }'Returns list of HTTP monitors in namespace with corresponding region health(s)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Request namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request of HTTP Monitor Health.
object
True indicate response include latency per monitor per region.
List of monitor names.
Request namespace.
Examplegenerated
{ "include_latency": true, "monitor_names": [ "example" ], "namespace": "example"}Responses
Section titled “Responses”A successful response.
List of health statuses by region for specified monitors.
object
Monitor health response list.
Health status by region for specified monitor.
object
Monitor health.
Monitor name.
A list of monitor source health item.
Health status by region.
object
Monitor health.
Current monitor latency, unit is ms.
Region provider.
Monitor source.
Examplegenerated
{ "items": [ { "health": "example", "monitor_name": "example", "sources": [ { "health": "example", "latency": "example", "provider": "example", "source": "example" } ] } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example